<template>
  <app-drawer
    v-model="isVisible"
    custom-class="integration-linkedin-drawer"
    :title="integration.name"
    size="800px"
    pre-title="Manage Integration"
    has-border
    @close="isVisible = false"
  >
    <template #content>
      <div class="flex flex-col gap-4">
        <div class="text-right">
          <app-integration-connect :integration="integration">
            <template
              #default="{
                connect,
              }"
            >
              <el-button
                class="btn btn--secondary btn--md"
                @click="connect"
              >
                Connect New Integration
              </el-button>
            </template>
          </app-integration-connect>
        </div>
        <div class="flex flex-col gap-2">
          <app-integration-manage-item
            v-for="item in integration.connections"
            :key="item.id"
            :integration="integration"
            :connection="item"
          />
        </div>
      </div>
    </template>
  </app-drawer>
</template>
<script setup>
import {
  computed, defineEmits, defineProps,
} from 'vue';
import AppIntegrationManageItem from '@/modules/integration/components/integration-manage-item.vue';
import AppIntegrationConnect from '@/modules/integration/components/integration-connect.vue';

const props = defineProps({
  modelValue: {
    type: Boolean,
    default: false,
  },
  integration: {
    type: Object,
    default: () => {
    },
  },
});

const emit = defineEmits(['update:modelValue']);
const isVisible = computed({
  get() {
    return props.modelValue;
  },
  set(value) {
    return emit('update:modelValue', value);
  },
});

</script>

<script>
export default {
  name: 'AppIntegrationManageDrawer',
};
</script>
